You can subscribe to this list here.
| 2002 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
(1) |
Oct
(122) |
Nov
(152) |
Dec
(69) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2003 |
Jan
(6) |
Feb
(25) |
Mar
(73) |
Apr
(82) |
May
(24) |
Jun
(25) |
Jul
(10) |
Aug
(11) |
Sep
(10) |
Oct
(54) |
Nov
(203) |
Dec
(182) |
| 2004 |
Jan
(307) |
Feb
(305) |
Mar
(430) |
Apr
(312) |
May
(187) |
Jun
(342) |
Jul
(487) |
Aug
(637) |
Sep
(336) |
Oct
(373) |
Nov
(441) |
Dec
(210) |
| 2005 |
Jan
(385) |
Feb
(480) |
Mar
(636) |
Apr
(544) |
May
(679) |
Jun
(625) |
Jul
(810) |
Aug
(838) |
Sep
(634) |
Oct
(521) |
Nov
(965) |
Dec
(543) |
| 2006 |
Jan
(494) |
Feb
(431) |
Mar
(546) |
Apr
(411) |
May
(406) |
Jun
(322) |
Jul
(256) |
Aug
(401) |
Sep
(345) |
Oct
(542) |
Nov
(308) |
Dec
(481) |
| 2007 |
Jan
(427) |
Feb
(326) |
Mar
(367) |
Apr
(255) |
May
(244) |
Jun
(204) |
Jul
(223) |
Aug
(231) |
Sep
(354) |
Oct
(374) |
Nov
(497) |
Dec
(362) |
| 2008 |
Jan
(322) |
Feb
(482) |
Mar
(658) |
Apr
(422) |
May
(476) |
Jun
(396) |
Jul
(455) |
Aug
(267) |
Sep
(280) |
Oct
(253) |
Nov
(232) |
Dec
(304) |
| 2009 |
Jan
(486) |
Feb
(470) |
Mar
(458) |
Apr
(423) |
May
(696) |
Jun
(461) |
Jul
(551) |
Aug
(575) |
Sep
(134) |
Oct
(110) |
Nov
(157) |
Dec
(102) |
| 2010 |
Jan
(226) |
Feb
(86) |
Mar
(147) |
Apr
(117) |
May
(107) |
Jun
(203) |
Jul
(193) |
Aug
(238) |
Sep
(300) |
Oct
(246) |
Nov
(23) |
Dec
(75) |
| 2011 |
Jan
(133) |
Feb
(195) |
Mar
(315) |
Apr
(200) |
May
(267) |
Jun
(293) |
Jul
(353) |
Aug
(237) |
Sep
(278) |
Oct
(611) |
Nov
(274) |
Dec
(260) |
| 2012 |
Jan
(303) |
Feb
(391) |
Mar
(417) |
Apr
(441) |
May
(488) |
Jun
(655) |
Jul
(590) |
Aug
(610) |
Sep
(526) |
Oct
(478) |
Nov
(359) |
Dec
(372) |
| 2013 |
Jan
(467) |
Feb
(226) |
Mar
(391) |
Apr
(281) |
May
(299) |
Jun
(252) |
Jul
(311) |
Aug
(352) |
Sep
(481) |
Oct
(571) |
Nov
(222) |
Dec
(231) |
| 2014 |
Jan
(185) |
Feb
(329) |
Mar
(245) |
Apr
(238) |
May
(281) |
Jun
(399) |
Jul
(382) |
Aug
(500) |
Sep
(579) |
Oct
(435) |
Nov
(487) |
Dec
(256) |
| 2015 |
Jan
(338) |
Feb
(357) |
Mar
(330) |
Apr
(294) |
May
(191) |
Jun
(108) |
Jul
(142) |
Aug
(261) |
Sep
(190) |
Oct
(54) |
Nov
(83) |
Dec
(22) |
| 2016 |
Jan
(49) |
Feb
(89) |
Mar
(33) |
Apr
(50) |
May
(27) |
Jun
(34) |
Jul
(53) |
Aug
(53) |
Sep
(98) |
Oct
(206) |
Nov
(93) |
Dec
(53) |
| 2017 |
Jan
(65) |
Feb
(82) |
Mar
(102) |
Apr
(86) |
May
(187) |
Jun
(67) |
Jul
(23) |
Aug
(93) |
Sep
(65) |
Oct
(45) |
Nov
(35) |
Dec
(17) |
| 2018 |
Jan
(26) |
Feb
(35) |
Mar
(38) |
Apr
(32) |
May
(8) |
Jun
(43) |
Jul
(27) |
Aug
(30) |
Sep
(43) |
Oct
(42) |
Nov
(38) |
Dec
(67) |
| 2019 |
Jan
(32) |
Feb
(37) |
Mar
(53) |
Apr
(64) |
May
(49) |
Jun
(18) |
Jul
(14) |
Aug
(53) |
Sep
(25) |
Oct
(30) |
Nov
(49) |
Dec
(31) |
| 2020 |
Jan
(87) |
Feb
(45) |
Mar
(37) |
Apr
(51) |
May
(99) |
Jun
(36) |
Jul
(11) |
Aug
(14) |
Sep
(20) |
Oct
(24) |
Nov
(40) |
Dec
(23) |
| 2021 |
Jan
(14) |
Feb
(53) |
Mar
(85) |
Apr
(15) |
May
(19) |
Jun
(3) |
Jul
(14) |
Aug
(1) |
Sep
(57) |
Oct
(73) |
Nov
(56) |
Dec
(22) |
| 2022 |
Jan
(3) |
Feb
(22) |
Mar
(6) |
Apr
(55) |
May
(46) |
Jun
(39) |
Jul
(15) |
Aug
(9) |
Sep
(11) |
Oct
(34) |
Nov
(20) |
Dec
(36) |
| 2023 |
Jan
(79) |
Feb
(41) |
Mar
(99) |
Apr
(169) |
May
(48) |
Jun
(16) |
Jul
(16) |
Aug
(57) |
Sep
(19) |
Oct
|
Nov
|
Dec
|
| S | M | T | W | T | F | S |
|---|---|---|---|---|---|---|
|
|
1
(18) |
2
(35) |
3
(34) |
4
(25) |
5
(16) |
6
(32) |
|
7
(7) |
8
(13) |
9
(20) |
10
(17) |
11
(10) |
12
(18) |
13
(9) |
|
14
(5) |
15
(26) |
16
(23) |
17
(5) |
18
(1) |
19
(4) |
20
(3) |
|
21
(10) |
22
(13) |
23
(13) |
24
(23) |
25
(30) |
26
(13) |
27
(6) |
|
28
(1) |
29
(16) |
30
(15) |
|
|
|
|
|
From: <sv...@va...> - 2009-06-20 17:43:04
|
Author: bart
Date: 2009-06-20 18:42:59 +0100 (Sat, 20 Jun 2009)
New Revision: 10353
Log:
Generalized a suppression pattern.
Modified:
trunk/glibc-2.X-drd.supp
Modified: trunk/glibc-2.X-drd.supp
===================================================================
--- trunk/glibc-2.X-drd.supp 2009-06-20 10:56:45 UTC (rev 10352)
+++ trunk/glibc-2.X-drd.supp 2009-06-20 17:42:59 UTC (rev 10353)
@@ -173,6 +173,7 @@
{
pthread
drd:ConflictingAccess
+ ...
fun:__free_tcb
}
{
|
|
From: <sv...@va...> - 2009-06-20 10:56:52
|
Author: bart
Date: 2009-06-20 11:56:45 +0100 (Sat, 20 Jun 2009)
New Revision: 10352
Log:
Updated test plan.
Removed:
trunk/drd/scripts/add-libjemalloc-support
Modified:
trunk/drd/Testing.txt
trunk/drd/scripts/download-and-build-firefox
Modified: trunk/drd/Testing.txt
===================================================================
--- trunk/drd/Testing.txt 2009-06-20 10:55:12 UTC (rev 10351)
+++ trunk/drd/Testing.txt 2009-06-20 10:56:45 UTC (rev 10352)
@@ -66,16 +66,11 @@
cvs -d :pserver:ano...@cv...:/GraphicsMagick login
cvs -d :pserver:ano...@cv...:/GraphicsMagick co GraphicsMagick
cd GraphicsMagick
- ./configure --prefix=$HOME/GraphicsMagick-cvs
- vi Makefile # Add --check-stack-var=yes and --var-info=yes to the
- # drd: target.
+ ./configure
export OMP_NUM_THREADS=4
- make -s drd
+ make -j2 -s MEMCHECK="$HOME/software/valgrind/vg-in-place --tool=drd --check-stack-var=yes --var-info=yes --quiet" check
-12. Test DRD with Firefox. First of all, make sure that Valgrind is patched
- such that it supports libjemalloc.so:
- drd/scripts/add-libjemalloc-support
- Next, build and install Firefox 3:
+12. Test DRD with Firefox. First build and install Firefox 3:
drd/scripts/download-and-build-firefox
Now run the following command:
- LD_LIBRARY_PATH=$HOME/software/mozilla-build/dist/lib: ./vg-in-place --tool=drd --check-stack-var=yes --trace-children=yes $HOME/software/mozilla-build/dist/bin/firefox-bin
+ LD_LIBRARY_PATH=$HOME/software/mozilla-build/dist/lib: ./vg-in-place --tool=drd --check-stack-var=yes --trace-children=yes --show-confl-seg=no $HOME/software/mozilla-build/dist/bin/firefox-bin
Deleted: trunk/drd/scripts/add-libjemalloc-support
===================================================================
--- trunk/drd/scripts/add-libjemalloc-support 2009-06-20 10:55:12 UTC (rev 10351)
+++ trunk/drd/scripts/add-libjemalloc-support 2009-06-20 10:56:45 UTC (rev 10352)
@@ -1,96 +0,0 @@
-#!/bin/bash
-
-if [ ! -e coregrind/m_replacemalloc/vg_replace_malloc.c ]; then
- echo "Error: please start this script from the Valgrind source directory."
- exit 1
-fi
-
-if grep -q -w libjemallocZdsoZa coregrind/m_replacemalloc/vg_replace_malloc.c;
-then
- echo "The libjemalloc patch is already present."
- exit 0
-fi
-
-{ cat <<'EOF' | patch -p0; } || exit $?
-Index: coregrind/m_replacemalloc/vg_replace_malloc.c
-===================================================================
---- coregrind/m_replacemalloc/vg_replace_malloc.c (revision 7759)
-+++ coregrind/m_replacemalloc/vg_replace_malloc.c (revision 7778)
-@@ -68,6 +68,10 @@
- # error "Unknown platform"
- #endif
-
-+/* --- Soname of libjemalloc. --- */
-+
-+#define m_jemalloc_soname libjemallocZdsoZa /* libjemalloc.so* */
-+
- /* --- Soname of the GNU C++ library. --- */
-
- #define m_libstdcxx_soname libstdcZpZpZa // libstdc++*
-@@ -203,6 +207,7 @@
- // (from_so, from_fn, v's replacement)
-
- // malloc
-+ALLOC_or_NULL(m_jemalloc_soname, malloc, malloc);
- ALLOC_or_NULL(m_libstdcxx_soname, malloc, malloc);
- ALLOC_or_NULL(m_libc_soname, malloc, malloc);
- #if defined(VGP_ppc32_aix5) || defined(VGP_ppc64_aix5)
-@@ -319,6 +324,7 @@
- }
-
- // free
-+FREE(m_jemalloc_soname, free, free );
- FREE(m_libstdcxx_soname, free, free );
- FREE(m_libc_soname, free, free );
- #if defined(VGP_ppc32_aix5) || defined(VGP_ppc64_aix5)
-@@ -394,6 +400,7 @@
- return v; \
- }
-
-+CALLOC(m_jemalloc_soname, calloc);
- CALLOC(m_libc_soname, calloc);
- #if defined(VGP_ppc32_aix5) || defined(VGP_ppc64_aix5)
- CALLOC(m_libc_soname, calloc_common);
-@@ -426,6 +433,7 @@
- return v; \
- }
-
-+REALLOC(m_jemalloc_soname, realloc);
- REALLOC(m_libc_soname, realloc);
- #if defined(VGP_ppc32_aix5) || defined(VGP_ppc64_aix5)
- REALLOC(m_libc_soname, realloc_common);
-@@ -457,6 +465,7 @@
- return v; \
- }
-
-+MEMALIGN(m_jemalloc_soname, memalign);
- MEMALIGN(m_libc_soname, memalign);
-
-
-@@ -483,6 +492,7 @@
- ((SizeT)pszB, size); \
- }
-
-+VALLOC(m_jemalloc_soname, valloc);
- VALLOC(m_libc_soname, valloc);
-
-
-@@ -566,6 +576,7 @@
- return VKI_ENOMEM; \
- }
-
-+POSIX_MEMALIGN(m_jemalloc_soname, posix_memalign);
- POSIX_MEMALIGN(m_libc_soname, posix_memalign);
- #if defined(VGP_ppc32_aix5) || defined(VGP_ppc64_aix5)
- /* 27 Nov 07: it appears that xlc links into executables, a
-@@ -596,6 +607,7 @@
- return pszB; \
- }
-
-+MALLOC_USABLE_SIZE(m_jemalloc_soname, malloc_usable_size);
- MALLOC_USABLE_SIZE(m_libc_soname, malloc_usable_size);
-
-
-EOF
-
-make -s
Modified: trunk/drd/scripts/download-and-build-firefox
===================================================================
--- trunk/drd/scripts/download-and-build-firefox 2009-06-20 10:55:12 UTC (rev 10351)
+++ trunk/drd/scripts/download-and-build-firefox 2009-06-20 10:56:45 UTC (rev 10352)
@@ -24,6 +24,11 @@
exit 1
fi
+if [ ! -e /usr/include/valgrind/valgrind.h ]; then
+ echo "Please install the valgrind-devel package first."
+ exit 1
+fi
+
rm -rf ${BUILD} || exit $?
rm -rf ${PREFIX} || exit $?
mkdir -p ${DOWNLOADS} || exit $?
@@ -45,13 +50,13 @@
ac_add_options --disable-optimize
ac_add_options --disable-tests
ac_add_options --enable-debug
+ac_add_options --enable-optimize="-O1 -g -pipe"
ac_add_options --enable-static
ac_add_options --prefix $PREFIX
-ac_add_options --enable-optimize="-O1 -g -pipe"
+ac_add_options --with-valgrind
EOF
-# Note: apparently Firefox 3.0 doesn't compile with gcc 4.3.
-CC=~/gcc-4.2.4/bin/gcc CXX=~/gcc-4.2.4/bin/g++ ${SRC}/configure
+${SRC}/configure
make -s -j2 || exit $?
# make -s install || exit $?
|
|
From: <sv...@va...> - 2009-06-20 10:55:17
|
Author: bart Date: 2009-06-20 11:55:12 +0100 (Sat, 20 Jun 2009) New Revision: 10351 Log: Reran SPLASH-2 benchmark. Modified: trunk/drd/scripts/run-splash2 Modified: trunk/drd/scripts/run-splash2 =================================================================== --- trunk/drd/scripts/run-splash2 2009-06-18 23:06:01 UTC (rev 10350) +++ trunk/drd/scripts/run-splash2 2009-06-20 10:55:12 UTC (rev 10351) @@ -136,19 +136,19 @@ # Results: native native native none none DRD DRD HG ITC ITC # -p1 -p2 -p4 -p1 -p4 -p4 -p4+f -p4 -p4 -p4+f # .......................................................................................................................... -# Cholesky 0.13 12016 0.06 22016 0.59 41669 11.3 4.46 2.4 2.11 24 2.37 16 2.57 28 6.10 239 82 -# FFT 0.03 6692 0.02 15571 0.02 31962 12.0 7.92 20.0 2.43 121 2.84 54 3.09 117 5.48 90 41 -# LU, contiguous 0.08 4100 0.05 12304 0.05 28712 13.4 12.29 20.0 2.62 117 2.73 72 3.16 156 5.53 428 128 -# Ocean, contiguous 0.25 16848 0.22 25384 0.14 42528 7.6 3.75 12.9 2.09 99 2.45 68 2.68 327 5.95 90 28 -# Radix 0.27 15136 0.10 23336 0.11 39728 12.8 4.06 24.5 2.17 65 2.61 46 2.82 121 6.15 222 56 -# Raytrace 0.82 207104 0.59 215979 0.59 232363 9.0 1.22 11.4 1.20 251 1.48 82 1.52 205 3.78 172 53 -# Water-n2 0.18 10696 0.10 27072 0.10 59832 16.4 5.40 23.8 1.79 4972 2.61 1538 2.68 110 3.54 189 39 -# Water-sp 0.22 4444 0.11 13536 0.10 29928 11.6 11.41 22.7 2.52 301 2.89 55 3.17 97 4.76 183 34 +# Cholesky 0.14 12016 0.07 22016 0.62 41328 7.9 4.60 2.1 2.13 20 2.39 11 2.59 23 6.09 239 82 +# FFT 0.02 6692 0.02 15571 0.02 32304 17.0 7.92 18.0 2.41 154 2.81 56 3.06 105 5.42 90 41 +# LU, contiguous 0.07 4100 0.04 12304 0.05 28712 12.7 12.29 18.0 2.62 145 2.73 71 3.16 143 5.53 428 128 +# Ocean, contiguous 0.22 16848 0.18 25384 0.15 42528 6.5 3.75 10.4 2.09 117 2.52 85 2.78 272 5.95 90 28 +# Radix 0.20 15136 0.13 23336 0.11 40411 12.9 4.06 23.7 2.13 69 2.57 46 2.77 111 5.94 222 56 +# Raytrace 0.64 207104 0.48 215637 0.48 232704 8.7 1.22 11.5 1.20 378 1.31 87 1.36 213 3.79 172 53 +# Water-n2 0.17 10696 0.09 27072 0.10 59832 13.1 5.40 22.7 1.79 4422 2.82 1018 2.95 104 3.54 189 39 +# Water-sp 0.19 4444 0.11 13536 0.10 29928 11.0 11.42 22.1 2.52 382 3.03 55 3.30 93 4.76 183 34 # .......................................................................................................................... -# geometric mean 0.17 13023 0.10 25823 0.12 47718 11.5 5.15 14.4 2.06 174 2.45 78 2.65 120 5.06 180 51 +# geometric mean 0.14 13024 0.09 25818 0.12 47843 10.8 5.17 13.3 2.06 197 2.46 73 2.67 110 5.03 180 51 # .......................................................................................................................... # Hardware: dual-core Intel Core2 Duo E6750, 2.66 GHz, 4 MB L2 cache, 2 GB RAM. -# Software: openSUSE 11.0 (64-bit edition), runlevel 3, gcc 4.3.1, 32 bit executables, valgrind trunk r9796. +# Software: openSUSE 11.0 (64-bit edition), runlevel 3, gcc 4.3.1, 32 bit executables, valgrind trunk r10339. ############################################################################################################################ #### |